Package org.gradle.api

## Class DefaultTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`
  Direct Known Subclasses:
    `AbstractLinkTask`, `AbstractNativeCompileTask`, `AbstractPublishToMaven`, `Assemble`, `BrowserEvaluate`, `BuildEnvironmentReportTask`, `ComponentReport`, `org.gradle.api.internal.ConventionTask`, `CreateStaticLibrary`, `DependencyInsightReportTask`, `DependentComponentsReport`, `ExtractSymbols`, `GenerateBuildDashboard`, `GenerateCUnitLauncher`, `GenerateIvyDescriptor`, `GenerateMavenPom`, `GenerateModuleMetadata`, `GeneratePluginDescriptors`, `GenerateSwiftPackageManagerManifest`, `InitBuild`, `InstallExecutable`, `InstallXCTestBundle`, `JacocoBase`, `ModelReport`, `OutgoingVariantsReportTask`, `PluginUnderTestMetadata`, `PrefixHeaderFileGenerateTask`, `PublishToIvyRepository`, `Sign`, `StripSymbols`, `SwiftCompile`, `TestReport`, `UnexportMainSymbol`, `ValidatePlugins`, `ValidateTaskProperties`, `WindowsResourceCompile`, `Wrapper`, `WriteProperties`

      public class DefaultTask
      extends org.gradle.api.internal.AbstractTask

  `DefaultTask` is the standard `Task` implementation. You can extend this to implement your own task types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTask()` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTask

          public DefaultTask()